Bug 458485 - [Realtime][Kernel] divide error: 0000 [#1] PREEMPT SMP
[Realtime][Kernel] divide error: 0000 [#1] PREEMPT SMP
Status: CLOSED INSUFFICIENT_DATA
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: realtime-kernel (Show other bugs)
1.1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jon Masters
http://rhts.redhat.com/cgi-bin/rhts/t...
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-08-08 15:44 EDT by Jeff Burke
Modified: 2009-12-01 01:12 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-01 01:12:03 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jeff Burke 2008-08-08 15:44:29 EDT
Description of problem:
While running the kernel testing for 2.6.24.7-75.el5rtdebug kernel the system panic'd

Version-Release number of selected component (if applicable):
2.6.24.7-75.el5rtdebug

How reproducible:
Unknown

Steps to Reproduce:
1. Install RHEL5.2 i386 on ibm-taroko.rhts.bos.redhat.com
2. Install 2.6.24.7-75.el5rtdebug
3. Reboot into debug kernel
4. Run the /kernel/distribution/ltp/20080630 test suite from RHTS or you can download the latest version from upstream.
  
Actual results:
divide error: 0000 [#1] PREEMPT SMP 

Modules linked in: mptsas mptscsih mptbase scsi_transport_sas sd_mod scsi_mod ext3 jbd mbcache uhci_hcd ohci_hcd ehci_hcd



Pid: 444, comm: insmod Not tainted (2.6.24.7-75.el5rtdebug #1)

EIP: 0060:[<c0421e5c>] EFLAGS: 00010046 CPU: 0

EIP is at calc_delta_mine+0x22/0x93

EAX: ffffffff EBX: ffffffff ECX: cccccccc EDX: 00000000

ESI: 00000000 EDI: cccccccc EBP: f62a30ec ESP: f62a30dc

 DS: 007b ES: 007b FS: 00d8 GS: 0033 SS: 0068 preempt:00000001

Process insmod (pid: 444, ti=f62a2000 task=f604f000 task.ti=f62a3000)

Stack: 00000400 00000000 00000000 00000000 f62a3118 c0421f5f c0823b54 cccccccc 

       cccccccc cccccccc cccccccc 00000000 c0823b00 f604f000 00000000 f62a3130 

       c042aad6 f785b000 f785b000 c2f6fb00 00000001 f62a3170 c0425c97 00000005 

Call Trace:

 [<c0421f5f>] ? update_curr+0x92/0x117

 [<c042aad6>] ? check_preempt_wakeup+0x3c/0x94

 [<c0425c97>] ? try_to_wake_up+0x16d/0x1ed

 [<c0425dba>] ? wake_up_process+0x19/0x1b

 [<c0432cd4>] ? wakeup_softirqd+0x21/0x23

 [<c0433a96>] ? raise_softirq+0x33/0x51

 [<c0437031>] ? run_local_timers+0xd/0x14

 [<c04373ed>] ? update_process_times+0x29/0x49

 [<c0449689>] ? tick_sched_timer+0x7c/0xb6

 [<c04442b0>] ? hrtimer_interrupt+0x186/0x212

 [<c044960d>] ? tick_sched_timer+0x0/0xb6

 [<c041b50b>] ? smp_apic_timer_interrupt+0xb2/0xc5

 [<c0513de0>] ? trace_hardirqs_off_thunk+0xc/0x10

 [<c0404cd5>] ? apic_timer_interrupt+0x2d/0x34

 [<c045007b>] ? futex_close+0x1a/0x1d

 [<c064c582>] ? __spin_unlock_irqrestore+0x42/0x59

 [<c045351b>] ? rt_mutex_slowtrylock+0x5e/0x65

 [<c064a1de>] ? rt_mutex_trylock+0x8/0xa

 [<c064b710>] ? rt_spin_lock+0x35/0x58

 [<c047d757>] ? get_zone_pcp+0x28/0x53

 [<c047d757>] ? get_zone_pcp+0x28/0x53

 [<c047e8e1>] ? get_page_from_freelist+0x11c/0x3d1

 [<c044cca4>] ? trace_hardirqs_on+0xb/0xd

 [<c044cc6e>] ? trace_hardirqs_on_caller+0x121/0x14c

 [<c047ec90>] ? __alloc_pages+0xa8/0x333

 [<c044cca4>] ? trace_hardirqs_on+0xb/0xd

 [<c0497978>] ? cache_alloc_refill+0x2b9/0x4bc

 [<c049684e>] ? _slab_irq_disable+0x22/0x3f

 [<c0497676>] ? kmem_cache_alloc+0x65/0xae

 [<f887091d>] ? __scsi_get_command+0x15/0x55 [scsi_mod]

 [<f8870995>] ? scsi_get_command+0x38/0xb6 [scsi_mod]

 [<f8874fa2>] ? scsi_get_cmd_from_req+0x1a/0x37 [scsi_mod]

 [<f8875543>] ? scsi_setup_blk_pc_cmnd+0x28/0x109 [scsi_mod]

 [<f88b154b>] ? sd_prep_fn+0x55/0x769 [sd_mod]

 [<c04279c0>] ? add_preempt_count+0x1b/0xfc

 [<c044cc6e>] ? trace_hardirqs_on_caller+0x121/0x14c

 [<c0501655>] ? elv_next_request+0x124/0x19e

 [<c044cca4>] ? trace_hardirqs_on+0xb/0xd

 [<f887617e>] ? scsi_request_fn+0x5f/0x372 [scsi_mod]

 [<c0437549>] ? del_timer+0x49/0x50

 [<c0504c9a>] ? __generic_unplug_device+0x23/0x26

 [<c0504d19>] ? blk_execute_rq_nowait+0x7c/0x8f

 [<c0506331>] ? blk_execute_rq+0xc0/0xe1

 [<c0503af7>] ? blk_end_sync_rq+0x0/0x28

 [<c0502184>] ? blk_recount_segments+0x34/0x54

 [<c0502184>] ? blk_recount_segments+0x34/0x54

 [<c04bc578>] ? bio_add_pc_page+0x24/0x2a

 [<c0503cad>] ? blk_rq_bio_prep+0x76/0xad

 [<c0503daf>] ? blk_rq_map_kern+0x59/0x78

 [<f8875990>] ? scsi_execute+0xc4/0xd7 [scsi_mod]

 [<f8875a51>] ? scsi_execute_req+0xae/0xcb [scsi_mod]

 [<f88af569>] ? sd_read_capacity+0xaa/0x803 [sd_mod]

 [<c064a262>] ? rt_spin_lock_slowunlock+0x38/0x5e

 [<c064b682>] ? rt_spin_unlock+0x37/0x3a

 [<c0496dec>] ? kfree+0x87/0x8d

 [<f8875a19>] ? scsi_execute_req+0x76/0xcb [scsi_mod]

 [<f88b0159>] ? sd_revalidate_disk+0x497/0xe51 [sd_mod]

 [<c064a262>] ? rt_spin_lock_slowunlock+0x38/0x5e

 [<c064b682>] ? rt_spin_unlock+0x37/0x3a

 [<c049d27a>] ? get_super+0x80/0x87

 [<c04d55a0>] ? rescan_partitions+0x6b/0x257

 [<c04bd375>] ? check_disk_change+0x1c/0x6c

 [<c064b829>] ? _mutex_lock_nested+0x4f/0x56

 [<c04bdb4c>] ? do_open+0x1eb/0x28f

 [<c04bdc78>] ? __blkdev_get+0x88/0xa2

 [<c04bdca7>] ? blkdev_get+0x15/0x17

 [<c04d54d9>] ? register_disk+0x174/0x1d0

 [<c05073fc>] ? add_disk+0x39/0x46

 [<c0506ca4>] ? exact_match+0x0/0x8

 [<c05071aa>] ? exact_lock+0x0/0x11

 [<f88b22a7>] ? sd_probe+0x2de/0x397 [sd_mod]

 [<c058a989>] ? driver_probe_device+0xe9/0x16a

 [<c064b682>] ? rt_spin_unlock+0x37/0x3a

 [<c058aa71>] ? __device_attach+0x8/0xa

 [<c0589d04>] ? bus_for_each_drv+0x3a/0x65

 [<c058aae8>] ? device_attach+0x56/0x6a

 [<c058aa69>] ? __device_attach+0x0/0xa

 [<c0589c7c>] ? bus_attach_device+0x29/0x77

 [<c0588db1>] ? device_add+0x30c/0x514

 [<f8879749>] ? scsi_sysfs_add_sdev+0x34/0x193 [scsi_mod]

 [<f88777fc>] ? scsi_probe_and_add_lun+0x9e2/0xb13 [scsi_mod]

 [<f8877e87>] ? __scsi_scan_target+0xb5/0x5c2 [scsi_mod]

 [<c044ca7e>] ? mark_held_locks+0x41/0x5c

 [<c04279c0>] ? add_preempt_count+0x1b/0xfc

 [<c044cc6e>] ? trace_hardirqs_on_caller+0x121/0x14c

 [<c044ab77>] ? put_lock_stats+0xd/0x22

 [<c064b881>] ? _mutex_lock+0x51/0x58

 [<f88787fa>] ? scsi_scan_target+0x86/0x95 [scsi_mod]

 [<f88b7bc9>] ? sas_rphy_add+0x124/0x12f [scsi_transport_sas]

 [<f88ca114>] ? mptsas_probe_one_phy+0x471/0x551 [mptsas]

 [<f88c9c9b>] ? mptsas_setup_wide_ports+0x361/0x369 [mptsas]

 [<f88cb023>] ? mptsas_probe_hba_phys+0x8f4/0x950 [mptsas]

 [<f88db931>] ? mpt_timer_expired+0x0/0x60 [mptbase]

 [<f88db931>] ? mpt_timer_expired+0x0/0x60 [mptbase]

 [<f88db931>] ? mpt_timer_expired+0x0/0x60 [mptbase]

 [<f88cc30a>] ? mptsas_probe+0x3b5/0x43c [mptsas]

 [<c051fd7d>] ? pci_device_probe+0x39/0x5b

 [<c058a989>] ? driver_probe_device+0xe9/0x16a

 [<c064a310>] ? rt_mutex_lock+0x2d/0x31

 [<c058aa47>] ? __driver_attach+0x3d/0x5f

 [<c0589f54>] ? bus_for_each_dev+0x3a/0x5f

 [<c058a7d1>] ? driver_attach+0x19/0x1b

 [<c058aa0a>] ? __driver_attach+0x0/0x5f

 [<c058a278>] ? bus_add_driver+0x75/0x1af

 [<c0648a9c>] ? klist_init+0x26/0x32

 [<c058ab8d>] ? driver_register+0x67/0x6c

 [<c051fedf>] ? __pci_register_driver+0x56/0x83

 [<f88340c5>] ? mptsas_init+0xc5/0xdd [mptsas]

 [<c0457fd4>] ? sys_init_module+0x14cd/0x1604

 [<c049bf73>] ? __fput+0x16a/0x172

 [<c0497b7b>] ? __kmalloc+0x0/0xe3

 [<c040421a>] ? syscall_call+0x7/0xb


Expected results:
System should boot normally

Additional info:
http://rhts.redhat.com/testlogs/26945/98431/828537/3858308-test_log--kernel-distribution-ltp-20080630-EXTERNALWATCHDOG.log
Comment 1 Jon Masters 2008-09-29 04:59:22 EDT
I'll get back to looking at this this week. I just realized it's still there :)
Comment 2 Jon Masters 2009-03-13 15:11:11 EDT
Didn't actually mean to close this one. Is it still happening?
Comment 3 Clark Williams 2009-03-13 15:24:30 EDT
not a clue; I wonder if we still test on ibm-taroko?
Comment 4 Jon Masters 2009-12-01 01:12:03 EST
Not heard any more on this in a long time, so closing it.

Note You need to log in before you can comment on or make changes to this bug.